<template>
  <q-expansion-item label="Variables" header-class="heading_expansion__variables" default-opened
                    expand-icon-class="text-deep-purple-8" switch-toggle-side>
    <table>
      <tr>
        <th>name</th>
        <th>type</th>
        <th>select</th>
        <th>matches</th>
        <th>fallback</th>
      </tr>
      <tr v-for="variable in variables" :key="variable.id" :label="variable.label">
        <td>{{ variable.label.replaceAll('_', ' ') }}</td>
        <td>{{ variable.type }}</td>
        <td>{{ variable.select }}</td>
        <td>{{ variable.matches }}</td>
        <td>{{ variable.fallback_value }}</td>
      </tr>
    </table>
  </q-expansion-item>
</template>

<script>
export default {
  name: "VariableDetail",
  props: {
    variables: Object
  }
}
</script>

<style scoped lang="scss">
table {
  width: 95%;
  border-collapse: collapse;
  margin: 10px auto;
  border: 1px solid $secondary;
  padding-bottom: 10px;
}

th {
  text-align: left;
}

td, th {
  border: 1px solid $secondary;
  padding: 4px 5px;
  vertical-align: top;
}
</style>
